﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.inkButton.Click         += inkButton_Click;
            this.highlightButton.Click   += highlightButton_Click;
            this.eraseStrokeButton.Click += eraseStrokeButton_Click;
            this.selectButton.Click      += selectButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 잉크 버튼 클릭시 처리하기 - inkButton_Click(sender, e)

        /// <summary>
        /// 잉크 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void inkButton_Click(object sender, RoutedEventArgs e)
        {
            this.inkCanvas.EditingMode = InkCanvasEditingMode.Ink;

            this.inkCanvas.DefaultDrawingAttributes.Height        = 2;
            this.inkCanvas.DefaultDrawingAttributes.Color         = Colors.Red;
            this.inkCanvas.DefaultDrawingAttributes.IsHighlighter = false;
        }

        #endregion
        #region 하이라이트 버튼 클릭시 처리하기 - highlightButton_Click(sender, e)

        /// <summary>
        /// 하이라이트 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void highlightButton_Click(object sender, RoutedEventArgs e)
        {
            this.inkCanvas.EditingMode = InkCanvasEditingMode.Ink;

            this.inkCanvas.DefaultDrawingAttributes.Height        = 25;
            this.inkCanvas.DefaultDrawingAttributes.Color         = Colors.Yellow;
            this.inkCanvas.DefaultDrawingAttributes.IsHighlighter = true;
        }

        #endregion
        #region 스트로크 지우기 버튼 클릭시 처리하기 - eraseStrokeButton_Click(sender, e)

        /// <summary>
        /// 스트로크 지우기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void eraseStrokeButton_Click(object sender, RoutedEventArgs e)
        {
            this.inkCanvas.EditingMode = InkCanvasEditingMode.EraseByStroke;
        }

        #endregion
        #region 선택하기 버튼 클릭시 처리하기 - selectButton_Click(sender, e)

        /// <summary>
        /// 선택하기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void selectButton_Click(object sender, RoutedEventArgs e)
        {
            this.inkCanvas.EditingMode = InkCanvasEditingMode.Select;
        }

        #endregion
    }
}